Skip to content
POST /organization

Requires PUBLIC_SIGNUP=true; otherwise 403 signup_disabled.

Request Body

namestring
slugstring

Response Body

created_atstring · date-time
idstring
logostring,null · uri
namestring
planstring
Possible values:
goldblacknone
settingsRecord<string, any>
slugstring
trial_ends_atstring,null · date-time
updated_atstring · date-time
curl -X POST 'https://api.elaichi.ai/organization' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"your_name","slug":"your_slug"}'
const body = {
  "name": "your_name",
  "slug": "your_slug"
};

const response = await fetch('https://api.elaichi.ai/organization', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/organization"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "name": "your_name",
    "slug": "your_slug"
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())